Subject: [netmod] draft-ietf-dhc-dhcpv6-yang-05

From: "t.petch" <[email-masked]>
Date: Wed, 7 Feb 2018 11:08:50 -0000

As and when this comes to a YANG Doctor review, the reviewer might like
to note that while there are 28 RFC referenced in the Reference or
Description clauses of the YANG modules, 6 do not appear in the either
Reference section, namely

RFC826   (Description clause)
RFC2464 (Description clause)
RFC3989
RFC 4122 (Description clause)
RFC4822
RFC7824

Also, the way in which the RFC are referred to in these clauses is
inconsistent, e.g.

RFC826
[RFC0826]
RFC2464
RFC 3315
[RFC3315]

I think that RFC826 is correct but YMMV.

The 19 that are referenced as Informative References are

RFC3319           8.2
RFC3646           8.2
RFC3898           8.2
RFC4075           8.2
RFC4242           8.2
RFC4704           8.2
RFC4833           8.2
RFC5908           8.2
RFC5970           8.2
RFC6334           8.2
RFC6422           8.2
RFC6440           8.2
RFC6784           8.2
RFC6939           8.2
RFC7078           8.2
RFC7083           8.2
RFC7227           8.2
RFC7291           8.2

I am not - and do not want to be -subscribed to the DHCP list.

I will look out for this at IETF Last Call but may miss it.

Tom Petch